
![c](https://03c8.net/images/goldbach_banner.png)

----------

#### Info:

 https://en.wikipedia.org/wiki/Goldbach's_conjecture

 Goldbach is a researching tool that simulates 'Goldbach's conjecture' math problem on a computacional level.

 It will provide you all maths requirements to see results of desided combinations, applying automatically conjeture rules. 

 This is very useful to simplify human abstraction level.

 There are 3 possible modes for interaction: single random, manual and learning.

    - single random (default): Just a simple random test that will allow you to understand how it works.
    - manual: You can search for results on any number you enter.
    - learning: Your AI will like this feature a lot ;-)

 You can visualize plotting graphs with results, store math 'tree' relationships (so the tool doesn't need to process again similar data) 
 and organized auto-save your results, for example, to be used on a future for BigData processing or AI maths solving tasks.

#### Installing:

 This tool runs on many platforms and it requires Python (3.x.y). To generate graphs, you need to install the following library:

       python3-matplotlib - Python based plotting system in a style similar to Matlab (Python 3)

 On Debian-based systems (ex: Ubuntu), run: 

       sudo apt-get install python3-matplotlib

 Or:

       pip3 install matplotlib

#### Executing:
  
  python3 goldbach

----------

####  Source libs:

 * PyMatplotlib: https://pypi.python.org/pypi/matplotlib

#### License:

 Goldbach is released under the GPLv3.

#### Contact:

      - psy (epsylon@riseup.net)

#### Contribute: 

 To make donations use the following hash:
  
     - Bitcoin: 19aXfJtoYJUoXEZtjNwsah2JKN9CK5Pcjw

----------

####  Screenshots:

  ![c](https://03c8.net/images/goldbach_tree.png "Collatz Tree")

  ![c](https://03c8.net/images/goldbach_graph.png "Collatz Graph")

